% function y=var_dyn(x,lgy_);
function y=var_dyn(x,lgy_);
y=[];
if ~ischar(x)
    disp('input must be string');
    return
end
lgy_=evalin('base','M_.endo_names');
posx=find_incell(str2cell(lgy_),['\<',deblank(x),'\>']);
if isempty(posx);
    error('variable not found');
end
vardyn=evalin('base','oo_.var');
if size(vardyn,1)<size(lgy_,1);
    disp('not all moments have been computed (unit roots?)')
    return
end
y=vardyn(posx,posx);
return
